# Uses of Class
org.apache.avro.io.parsing.Symbol

Packages that use Symbol
Package
Description
org.apache.avro.io
Utilities for Encoding and Decoding Avro data.
org.apache.avro.io.parsing
Implementation of Avro schemas as LL(1) grammars.

## Uses of Symbol in org.apache.avro.io

Methods in org.apache.avro.io that return Symbol
Modifier and Type
Method
Description
`Symbol`
JsonDecoder.`doAction(Symbol input, Symbol top)`
`Symbol`
JsonEncoder.`doAction(Symbol input, Symbol top)`
`Symbol`
ResolvingDecoder.`doAction(Symbol input, Symbol top)`
`Symbol`
ValidatingDecoder.`doAction(Symbol input, Symbol top)`
`Symbol`
ValidatingEncoder.`doAction(Symbol input, Symbol top)`
Methods in org.apache.avro.io with parameters of type Symbol
Modifier and Type
Method
Description
`Symbol`
JsonDecoder.`doAction(Symbol input, Symbol top)`
`Symbol`
JsonEncoder.`doAction(Symbol input, Symbol top)`
`Symbol`
ResolvingDecoder.`doAction(Symbol input, Symbol top)`
`Symbol`
ValidatingDecoder.`doAction(Symbol input, Symbol top)`
`Symbol`
ValidatingEncoder.`doAction(Symbol input, Symbol top)`
Constructors in org.apache.avro.io with parameters of type Symbol
Modifier
Constructor
Description
`protected`
`ParsingDecoder(Symbol root)`

## Uses of Symbol in org.apache.avro.io.parsing

Subclasses of Symbol in org.apache.avro.io.parsing
Modifier and Type
Class
Description
`static class`
`Symbol.Alternative`
`static class`
`Symbol.DefaultStartAction`
`static class`
`Symbol.EnumAdjustAction`
`static class`
`Symbol.EnumLabelsAction`
`static class`
`Symbol.ErrorAction`
`static class`
`Symbol.FieldAdjustAction`
`static final class`
`Symbol.FieldOrderAction`
`static class`
`Symbol.ImplicitAction`
`static class`
`Symbol.IntCheckAction`
`static class`
`Symbol.Repeater`
`static class`
`Symbol.ResolvingAction`
`protected static class`
`Symbol.Root`
`protected static class`
`Symbol.Sequence`
`static class`
`Symbol.SkipAction`
`static class`
`Symbol.UnionAdjustAction`
`static class`
`Symbol.WriterUnionAction`
Fields in org.apache.avro.io.parsing declared as Symbol
Modifier and Type
Field
Description
`static final Symbol`
Symbol.`ARRAY_END`
`static final Symbol`
Symbol.`ARRAY_START`
`static final Symbol`
Symbol.`BOOLEAN`
`static final Symbol`
Symbol.`BYTES`
`static final Symbol`
Symbol.`DEFAULT_END_ACTION`
`static final Symbol`
Symbol.`DOUBLE`
`final Symbol`
Symbol.Repeater.`end`
`static final Symbol`
Symbol.`ENUM`
`static final Symbol`
Symbol.`FIELD_ACTION`
`static final Symbol`
Symbol.`FIELD_END`
`static final Symbol`
Symbol.`FIXED`
`static final Symbol`
Symbol.`FLOAT`
`static final Symbol`
Symbol.`INT`
`static final Symbol`
Symbol.`ITEM_END`
`static final Symbol`
Symbol.`LONG`
`static final Symbol`
Symbol.`MAP_END`
`static final Symbol`
Symbol.`MAP_KEY_MARKER`
`static final Symbol`
Symbol.`MAP_START`
`static final Symbol`
Symbol.`NULL`
The terminal symbols for the grammar.
`final Symbol[]`
Symbol.`production`
The production for this symbol.
`final Symbol`
Symbol.ResolvingAction.`reader`
`static final Symbol`
Symbol.`RECORD_END`
`static final Symbol`
Symbol.`RECORD_START`
`protected Symbol[]`
Parser.`stack`
`static final Symbol`
Symbol.`STRING`
`final Symbol[]`
Symbol.Alternative.`symbols`
`final Symbol`
Symbol.UnionAdjustAction.`symToParse`
`final Symbol`
Symbol.SkipAction.`symToSkip`
`static final Symbol`
Symbol.`UNION`
`static final Symbol`
Symbol.`UNION_END`
`final Symbol`
Symbol.ResolvingAction.`writer`
`static final Symbol`
Symbol.`WRITER_UNION_ACTION`
Methods in org.apache.avro.io.parsing that return Symbol
Modifier and Type
Method
Description
`final Symbol`
Parser.`advance(Symbol input)`
Recursively replaces the symbol at the top of the stack with its production, until the top is a terminal.
`Symbol`
Parser.ActionHandler.`doAction(Symbol input, Symbol top)`
Handle the action symbol `top` when the `input` is sought to be taken off the stack.
`Symbol`
Symbol.`flatten(Map<Symbol.Sequence,Symbol.Sequence> map, Map<Symbol.Sequence,List<org.apache.avro.io.parsing.Symbol.Fixup>> map2)`
`Symbol`
JsonGrammarGenerator.`generate(Schema schema)`
Returns the non-terminal that is the start symbol for the grammar for the grammar for the given schema `sc`.
`Symbol`
JsonGrammarGenerator.`generate(Schema sc, Map<org.apache.avro.io.parsing.ValidatingGrammarGenerator.LitS,Symbol> seen)`
Returns the non-terminal that is the start symbol for grammar of the given schema `sc`.
`final Symbol`
ResolvingGrammarGenerator.`generate(Schema writer, Schema reader)`
Resolves the writer schema `writer` and the reader schema `reader` and returns the start symbol for the grammar generated.
`Symbol`
ValidatingGrammarGenerator.`generate(Schema schema)`
Returns the non-terminal that is the start symbol for the grammar for the given schema `sc`.
`Symbol`
ValidatingGrammarGenerator.`generate(Schema sc, Map<org.apache.avro.io.parsing.ValidatingGrammarGenerator.LitS,Symbol> seen)`
Returns the non-terminal that is the start symbol for the grammar for the given schema `sc`.
`Symbol`
Symbol.Sequence.`get(int index)`
`Symbol`
Symbol.Alternative.`getSymbol(int index)`
`Symbol`
Parser.`popSymbol()`
Pops and returns the top symbol from the stack.
`Symbol`
Parser.`topSymbol()`
Returns the top symbol from the stack.
Methods in org.apache.avro.io.parsing that return types with arguments of type Symbol
Modifier and Type
Method
Description
`Iterator<Symbol>`
Symbol.Sequence.`iterator()`
Methods in org.apache.avro.io.parsing with parameters of type Symbol
Modifier and Type
Method
Description
`final Symbol`
Parser.`advance(Symbol input)`
Recursively replaces the symbol at the top of the stack with its production, until the top is a terminal.
`Symbol`
Parser.ActionHandler.`doAction(Symbol input, Symbol top)`
Handle the action symbol `top` when the `input` is sought to be taken off the stack.
`protected static int`
Symbol.`flattenedSize(Symbol[] symbols, int start)`
Returns the amount of space required to flatten the given sub-array of symbols.
`static boolean`
Symbol.`hasErrors(Symbol symbol)`
Returns true if the Parser contains any Error symbol, indicating that it may fail for some inputs.
`final void`
Parser.`pushProduction(Symbol sym)`
Pushes the production for the given symbol `sym`.
`void`
Parser.`pushSymbol(Symbol sym)`
Pushes `sym` on to the stack.
`static Symbol.SkipAction`
Symbol.`skipAction(Symbol symToSkip)`
`final void`
SkipParser.`skipSymbol(Symbol symToSkip)`
Pushes the given symbol on to the skip and skips it.
`static Symbol.UnionAdjustAction`
Symbol.`unionAdjustAction(int rindex, Symbol sym)`
Method parameters in org.apache.avro.io.parsing with type arguments of type Symbol
Modifier and Type
Method
Description
`Symbol`
JsonGrammarGenerator.`generate(Schema sc, Map<org.apache.avro.io.parsing.ValidatingGrammarGenerator.LitS,Symbol> seen)`
Returns the non-terminal that is the start symbol for grammar of the given schema `sc`.
`Symbol`
ValidatingGrammarGenerator.`generate(Schema sc, Map<org.apache.avro.io.parsing.ValidatingGrammarGenerator.LitS,Symbol> seen)`
Returns the non-terminal that is the start symbol for the grammar for the given schema `sc`.
Constructors in org.apache.avro.io.parsing with parameters of type Symbol
Modifier
Constructor
Description
``
`Parser(Symbol root, Parser.ActionHandler symbolHandler)`
``
`SkipAction(Symbol symToSkip)`
Deprecated.
``
`SkipParser(Symbol root, Parser.ActionHandler symbolHandler, SkipParser.SkipHandler skipHandler)`
`protected`
`Symbol(Symbol.Kind kind, Symbol[] production)`
``
`UnionAdjustAction(int rindex, Symbol symToParse)`
Deprecated.